| OpenSubdiv OpenSubdiv

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Surface< REAL >::PointDescriptor Struct Reference

Simple struct defining the size and stride of points in arrays. More...

`#include <surface.h>`

## Public Member Functions
| PointDescriptor ()
| PointDescriptor (int n)
| PointDescriptor (int n, int m)

## Public Attributes
int | size
int | stride

## Detailed Description

template<typename REAL>
struct OpenSubdiv::OPENSUBDIV_VERSION::Bfr::Surface< REAL >::PointDescriptor

Simple struct defining the size and stride of points in arrays.

Definition at line 63 of file surface.h.

## Constructor & Destructor Documentation

## ◆ PointDescriptor() [1/3]

template<typename REAL >

PointDescriptor | ( |  | ) |
| inline

Definition at line 64 of file surface.h.

## ◆ PointDescriptor() [2/3]

template<typename REAL >

PointDescriptor | ( | int | n | ) |
| inline

Definition at line 65 of file surface.h.

## ◆ PointDescriptor() [3/3]

template<typename REAL >

PointDescriptor | ( | int | n,
|  | int | m
| ) |  |
| inline

Definition at line 66 of file surface.h.

## Member Data Documentation

## ◆ size

template<typename REAL >

int size

Definition at line 68 of file surface.h.

## ◆ stride

template<typename REAL >

int stride

Definition at line 68 of file surface.h.

The documentation for this struct was generated from the following file:

- opensubdiv/bfr/surface.h